package com.sundot.airport.check.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sundot.airport.check.domain.CheckRecord;

/**
 * 检查记录Mapper接口
 *
 * @author ruoyi
 * @date 2025-07-11
 */
public interface CheckRecordMapper extends BaseMapper<CheckRecord> {
    /**
     * 查询检查记录
     *
     * @param id 检查记录主键
     * @return 检查记录
     */
    public CheckRecord selectCheckRecordById(Long id);

    /**
     * 查询检查记录列表
     *
     * @param checkRecord 检查记录
     * @return 检查记录集合
     */
    public List<CheckRecord> selectCheckRecordList(CheckRecord checkRecord);

    /**
     * 新增检查记录
     *
     * @param checkRecord 检查记录
     * @return 结果
     */
    public int insertCheckRecord(CheckRecord checkRecord);

    /**
     * 修改检查记录
     *
     * @param checkRecord 检查记录
     * @return 结果
     */
    public int updateCheckRecord(CheckRecord checkRecord);

    /**
     * 删除检查记录
     *
     * @param id 检查记录主键
     * @return 结果
     */
    public int deleteCheckRecordById(Long id);

    /**
     * 批量删除检查记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCheckRecordByIds(Long[] ids);
}
